<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_height="wrap_content"
    android:layout_width="match_parent"
    android:layout_margin="4dp"
    android:padding="2dp"
    android:elevation="8dp">
<LinearLayout
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:padding="4dp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <Spinner
            android:id="@+id/dimension_type_spinner"
            android:layout_width="wrap_content"
            android:layout_height="50dp"
            android:layout_weight="1"></Spinner>

        <Spinner
            android:id="@+id/dimension_unit_spinner"
            android:layout_width="wrap_content"
            android:layout_height="50dp"
            android:layout_weight="1">
        </Spinner>

        <ImageButton
            android:id="@+id/dimension_item_delete"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@null"
            android:padding="8dp"
            android:src="@drawable/ic_delete" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <EditText
            android:id="@+id/required"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:inputType="numberDecimal"
            android:hint="@string/required"/>

        <EditText
            android:id="@+id/actual"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:inputType="numberDecimal"
            android:hint="@string/actual"/>

        <EditText
            android:id="@+id/difference"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:inputType="numberDecimal"
            android:enabled="false"
            android:hint="@string/difference"/>

    </LinearLayout>
</LinearLayout>
</androidx.cardview.widget.CardView>